import { Arbitrary } from 'fast-check';
import { Status, QValue, MediaType, MediaRange, AccessControlAllowMethod, ContentType, Method, Challenge, BasicCredentials, Credentials, Authorization, Accept } from '@fp4ts/http-core';
export * from '@fp4ts/stream-test-kit/lib/arbitraries';
export declare const fp4tsValidStatusCode: () => Arbitrary<number>;
export declare const fp4tsStatus: () => Arbitrary<Status>;
export declare const fp4tsMethod: () => Arbitrary<Method>;
export declare const fp4tsQValue: () => Arbitrary<QValue>;
export declare const fp4tsMediaType: () => Arbitrary<MediaType>;
export declare const fp4tsMediaRange: () => Arbitrary<MediaRange>;
export declare const fp4tsAcceptHeader: () => Arbitrary<Accept>;
export declare const fp4tsAccessControlAllowMethodHeader: () => Arbitrary<AccessControlAllowMethod>;
export declare const fp4tsCredentials: () => Arbitrary<Credentials>;
export declare const fp4tsAuthorizationHeader: () => Arbitrary<Authorization>;
export declare const fp4tsBasicCredentials: () => Arbitrary<BasicCredentials>;
export declare const fp4tsChallenge: () => Arbitrary<Challenge>;
export declare const fp4tsContentTypeHeader: () => Arbitrary<ContentType>;
//# sourceMappingURL=arbitraries.d.ts.map